﻿
Namespace BaseClasses
    <Serializable>
    Public MustInherit Class ModelBase
        Inherits NotifyBase

        Private _id As Guid = Guid.NewGuid
        ' ReSharper disable once InconsistentNaming
        Public Property ID() As Guid
            Get
                Return _id
            End Get
            Set(ByVal value As Guid)
                _id = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _creationTimestamp As DateTime = DateTime.Now
        Public Property CreationTimestamp() As DateTime
            Get
                Return _creationTimestamp
            End Get
            Set(ByVal value As DateTime)
                _creationTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _createdBy As String = Environment.UserName
        Public Property CreatedBy() As String
            Get
                Return _createdBy
            End Get
            Set(ByVal value As String)
                _createdBy = value
                RaisePropertyChanged()
            End Set
        End Property




    End Class
End Namespace