﻿
Namespace BaseClasses
    Public MustInherit Class ViewModelBase
        Inherits NotifyBase

        Private Shared ReadOnly HostProcesses As New List(Of String)({"XDesProc", "devenv", "WDExpress"})

        ''' <summary>
        ''' Gibt zurück ob sich die ausführung des Codes aktuell in der Entwicklungszeit oder in der Laufzeit befindet.
        ''' </summary>
        ''' <returns>Wird Code des ViewModels vom XAML Designer ausgeführt wird True zurückgegeben.</returns>
        Public ReadOnly Property IsInDesignMode As Boolean
            Get
                Dim ret = HostProcesses.Contains(Process.GetCurrentProcess().ProcessName)
                Return ret
            End Get
        End Property
    End Class
End Namespace