﻿
Imports System.Collections.ObjectModel

Namespace Model
    <Serializable>
    Public Class Note
        Inherits BaseClasses.ModelBase

        Public Sub New()
            Attachments = New ObservableCollection(Of Attachment)
        End Sub

        Private _title As String = "Unbenannt"
        Public Property Title() As String
            Get
                Return _title
            End Get
            Set(ByVal value As String)
                _title = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _content As String
        Public Property Content() As String
            Get
                Return _content
            End Get
            Set(ByVal value As String)
                _content = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _attachments As ObservableCollection(Of Attachment)
        Public Property Attachments() As ObservableCollection(Of Attachment)
            Get
                Return _attachments
            End Get
            Set(ByVal value As ObservableCollection(Of Attachment))
                _attachments = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _categorieId As Guid
        Public Property CategorieId() As Guid
            Get
                Return _categorieId
            End Get
            Set(ByVal value As Guid)
                _categorieId = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _finished As Boolean

        Public Property Finished() As Boolean
            Get
                Return _finished
            End Get
            Set(ByVal value As Boolean)
                _finished = value
                RaisePropertyChanged()
            End Set
        End Property


    End Class
End Namespace